<script setup>
const content = ref('')

const instance = getCurrentInstance().proxy
const eventChannel = instance.getOpenerEventChannel()
const submit = () => {
  console.log('提交')
  uni.navigateBack()

  eventChannel.emit('done', {})
}
</script>

<template>
  <view px-28 mt-20>
    <up-textarea
      v-model="content"
      placeholder="请输入..."
      maxlength="300"
      count
      height="150"
    />
  </view>

  <view position="fixed" w-full bottom-36 f-c-c>
    <up-button
      type="primary"
      text="完成"
      :custom-style="{
        width: '650rpx'
      }"
      @click="submit"
    />
  </view>
</template>
